Package org.python.modules

# Class gc.CycleMarkAttr

java.lang.Object
org.python.modules.gc.CycleMarkAttr

Enclosing class:
  `gc`

public static class gc.CycleMarkAttr extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`monitored`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCyclic()`
`boolean`
`isUncollectable()`
`void`
`setFlags(boolean cyclic, boolean uncollectable)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### monitored

public boolean monitored

## Method Details

### isCyclic

public boolean isCyclic()

### isUncollectable

public boolean isUncollectable()

### setFlags

public void setFlags(boolean cyclic, boolean uncollectable)